Bug 548 - usleep() vs. sys_usleep()
usleep() vs. sys_usleep()
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
Other other
: P3 normal
: 3.0.1
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-01 03:41 UTC by Joachim Schmitz
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Schmitz 2003-10-01 03:41:00 UTC
Hi there

here usleep() is used instead of sys_usleep():
--- source/rpc_server/srv_spoolss_nt.c.orig  2003-08-28 23:42:45.000000000 +0200
+++ source/rpc_server/srv_spoolss_nt.c       2003-09-30 12:26:09.000000000 +0200
@@ -1803,7 +1803,7 @@
                && (RA_WIN2K == get_remote_arch()) )
        {
                DEBUG(10,("_spoolss_open_printer_ex: Enabling LAN/WAN hack for W
in2k clients.\n"));
-               usleep( 500000 );
+               sys_usleep( 500000 );
        }

        return WERR_OK;


Bye, Jojo
Comment 1 Jeremy Allison 2003-10-02 10:36:58 UTC
Applied, thanks.
Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:18:19 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.